=== debian/changelog ===
kcolorchooser (4:25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/watch: Update to version 5.
  * debian/control: Bump Standards-Version to 4.7.3, Drop Priority: optional
    and Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 10:57:37 -0500
